﻿
using UnityEngine;
using System.Collections;

public class BallGenerator : MonoBehaviour {
	public GameObject ballPrefab;
	public Transform camera;
	public float force = 1000.0f;
	float cdTime = 0;
	void Update () {
		cdTime -= Time.deltaTime;
		if(Input.GetKey("space") && cdTime < 0)
		{
			cdTime = 1;
			GameObject newBall = Instantiate(ballPrefab);
			Vector3 forceDir = camera.transform.rotation * Vector3.forward;
			Vector3 ballPos = camera.transform.position + forceDir;
			newBall.transform.position = ballPos;
			Rigidbody ballRB = newBall.GetComponent<Rigidbody>();
			ballRB.AddForce(forceDir * force);
		}
	}
}
